> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List brand connectors

> The brand's connectors.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Query parameters

<ParamField query="limit" type="integer">
  Max items (capped at 1000).
</ParamField>

<ParamField query="offset" type="integer" />

<ParamField query="status" type="string">
  Filter by status.
</ParamField>

### Response

`object`

<ResponseField name="items" type="object[]" required>
  <Expandable title="items">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="brand_id" type="string (uuid)" required />

    <ResponseField name="connector_key" type="string" required />

    <ResponseField name="connector_type" type="string" required />

    <ResponseField name="direction" type="string" required />

    <ResponseField name="target" type="object" required />

    <ResponseField name="auth" type="object" required>
      <Expandable title="auth">
        <ResponseField name="secret_ref" type="string" />

        <ResponseField name="headers" type="object" required />
      </Expandable>
    </ResponseField>

    <ResponseField name="retry_policy" type="object" required />

    <ResponseField name="enabled" type="boolean" required />

    <ResponseField name="metadata" type="object" required />

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="updated_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                 |
| ----- | ----------------------- |
| `200` | The brand's connectors. |
| `400` | Validation error        |
| `401` | Unauthorized            |
| `404` | Not found               |
| `429` | Rate limited            |
| `500` | Internal error          |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "connector_key": "string",
        "connector_type": "string",
        "direction": "string",
        "target": {},
        "auth": {
          "secret_ref": null,
          "headers": null
        },
        "retry_policy": {},
        "enabled": true,
        "metadata": {},
        "created_at": "2026-08-31T14:22:05Z",
        "updated_at": "2026-08-31T14:22:05Z"
      }
    ]
  }
  ```
</ResponseExample>
